Bug 830477 - [abrt] prelink-0.4.6-5.fc17: recompute_nonalloc_offsets: Process /usr/sbin/prelink was killed by signal 6 (SIGABRT)
[abrt] prelink-0.4.6-5.fc17: recompute_nonalloc_offsets: Process /usr/sbin/pr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
abrt_hash:f78da399ddf9ef281f081a9a755...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 22:17 EDT by Frank Crawford
Modified: 2013-07-31 20:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:59:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.99 KB, text/plain)
2012-06-09 22:19 EDT, Frank Crawford
no flags Details
File: coredump (1020.00 KB, text/plain)
2012-06-09 22:21 EDT, Frank Crawford
no flags Details

  None (edit)
Description Frank Crawford 2012-06-09 22:17:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        prelink -v /usr/bin/pawd
crash_function: recompute_nonalloc_offsets
executable:     /usr/sbin/prelink
kernel:         3.4.1
pid:            3371
pwd:            /root
reported_to:    email: abrt@crawford.emu.id.au
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           Wed 06 Jun 2012 22:51:57 EST
uid:            0
username:       root

backtrace:      Text file, 6134 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/frank/2

comment:
:Originally occured during nightly run.
:
:Problem tracked down to /usr/bin/pawd from am-utils-6.1.5-22.fc17.x86_64.

core_backtrace:
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x3d6eb - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x55788 - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x50830 - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x5089e - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x2146b - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0xb820 - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x138cc - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x8549 - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x8836 - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x2d92 - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x4e8f1 - [exe] -
:bf35a3d5314e40ae8ab099b26439a92bf9ec63a7 0x32d5 - [exe] -
:- 0x0 - - -
:- 0x0 - - -

dso_list:
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-37.fc17.x86_64 (Fedora Project) 1338791713
:/usr/sbin/prelink prelink-0.4.6-5.fc17.x86_64 (Fedora Project) 1338796543
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1338791708

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=cnc.crawford.emu.id.au
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/frank/keyring-6C2Bvd/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_SESSION_COOKIE=7b227b6cba1c7e692e9902004584ba39-1338986360.784042-1847879631
:HISTSIZE=1000
:PERL5LIB=/usr/local/lib64/perl5:/usr/local/share/perl5:/usr/lib64/perl5/vendor_perl:/usr/share/perl5/vendor_perl
:WINDOWID=31457318
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/frank/keyring-6C2Bvd
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:NO_PROXY=localhost,127.0.0.0/8
:http_proxy=http://www-proxy:3128/
:USER=frank
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/frank/keyring-6C2Bvd/ssh
:USERNAME=
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2128,unix/unix:/tmp/.ICE-unix/2128
:PAGER=less
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/frank
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/usr/local/bin:/sbin:/usr/sbin:/usr/local/sbin:/home/frank/bin
:QT_IM_MODULE=xim
:PWD=/root
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_AU.utf8
:GNOME_KEYRING_PID=2124
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=3
:XDG_SEAT=seat0
:HOME=/root
:no_proxy=localhost,127.0.0.0/8
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:HTTP_PROXY=http://www-proxy:3128/
:LOGNAME=frank
:'LESS=-MM -e -i'
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VRkeCdVFTJ,guid=698c91756a5df57973f7e19e0000002f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/frank
:GROFF_TMAC_PATH=/home/frank/.troff
:XAUTHORITY=/root/.xauthE1VOKT
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:_=/usr/sbin/prelink
:OLDPWD=/usr/bin

event_log:
:2012-06-10-12:10:03> Sending an email...
:2012-06-10-12:10:03  Email was sent to: abrt@crawford.emu.id.au
:2012-06-10-12:10:30> Querying server settings
:2012-06-10-12:10:32  Preparing an archive to upload
:2012-06-10-12:10:32  Uploading 96724 bytes
:2012-06-10-12:10:33  Upload successful
:2012-06-10-12:10:34  Retrace job started
:2012-06-10-12:10:46  Initializing virtual root
:2012-06-10-12:10:57  Initializing virtual root
:2012-06-10-12:11:08  Initializing virtual root
:2012-06-10-12:11:19  Initializing virtual root
:2012-06-10-12:11:31  Initializing virtual root
:2012-06-10-12:11:42  Retrace job finished successfully
:2012-06-10-12:13:15* (exited with 9)

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 127915               processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       127915               127915               signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-0054b000 r-xp 00000000 fd:04 414928                             /usr/sbin/prelink
:0074a000-0074f000 rw-p 0014a000 fd:04 414928                             /usr/sbin/prelink
:0074f000-00756000 rw-p 00000000 00:00 0 
:015c2000-0168d000 rw-p 00000000 00:00 0                                  [heap]
:7f33c9192000-7f33c9193000 rw-p 00000000 00:00 0 
:7f33c9193000-7f33c919a000 r--s 00000000 fd:04 928354                     /usr/lib64/gconv/gconv-modules.cache
:7f33c919a000-7f33c919b000 rw-p 00000000 00:00 0 
:7f33c919b000-7f33cf5c8000 r--p 00000000 fd:04 3015                       /usr/lib/locale/locale-archive
:7fff2eb43000-7fff2eb64000 rw-p 00000000 00:00 0                          [stack]
:7fff2ebff000-7fff2ec00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:/dev/pts/2
:1:/dev/pts/2
:2:/dev/pts/2
:3:/usr/bin/pawd
:4:/usr/bin/pawd.#prelink#.cytjay

var_log_messages:
:Jun  4 17:55:44 cnc yum[7393]: Updated: prelink-0.4.6-5.fc17.x86_64
:Jun  5 03:51:50 cnc abrt[14927]: Saved core dump of pid 5444 (/usr/sbin/prelink) to /var/spool/abrt/ccpp-2012-06-05-03:51:48-5444 (37384192 bytes)
:Jun  6 03:48:12 cnc abrt[3311]: Saved core dump of pid 26078 (/usr/sbin/prelink) to /var/spool/abrt/ccpp-2012-06-06-03:48:07-26078 (37339136 bytes)
:Jun  6 22:51:58 cnc abrt[3394]: Saved core dump of pid 3371 (/usr/sbin/prelink) to /var/spool/abrt/ccpp-2012-06-06-22:51:57-3371 (1044480 bytes)
Comment 1 Frank Crawford 2012-06-09 22:19:50 EDT
Created attachment 590681 [details]
File: backtrace
Comment 2 Frank Crawford 2012-06-09 22:21:07 EDT
Created attachment 590682 [details]
File: coredump
Comment 3 Fedora End Of Life 2013-07-03 18:49:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 20:59:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.